OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFGraph

# IFGraph_Articulations Class Reference

this class gives entities which are Articulation points
in a whole Model or in a sub-part
An Articulation Point divides the graph in two (or more)
disconnected sub-graphs
Identifying Articulation Points allows improving
efficiency of spliting a set of Entities into sub-sets

`#include <IFGraph_Articulations.hxx>`

Inheritance diagram for IFGraph_Articulations:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_Articulations (const Interface_Graph &agraph, const Standard_Boolean whole)
| creates Articulations to evaluate a Graph whole True : works on the whole Model whole False : remains empty, ready to work on a sub-part
Standard_EXPORT void | GetFromEntity (const Handle(Standard_Transient)&ent)
| adds an entity and its shared ones to the list
Standard_EXPORT void | GetFromIter (const Interface_EntityIterator &iter)
| adds a list of entities (as an iterator)
Standard_EXPORT void | ResetData ()
| Allows to restart on a new data set .
virtual Standard_EXPORT void | Evaluate ()
| Evaluates the list of Articulation points .
## Private Member Functions
Standard_EXPORT Standard_Integer | Visit (const Standard_Integer num)
| basic routine of computation (see book Sedgewick "Algorithms", p 392)
## Private Attributes
Interface_Graph | thegraph
Standard_Integer | thenow
Handle_TColStd_HSequenceOfInteger | thelist

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_Articulations::IFGraph_Articulations | ( | const Interface_Graph & | agraph,
|  | const Standard_Boolean | whole
| ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_Articulations::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT void IFGraph_Articulations::GetFromEntity | ( | const Handle(Standard_Transient)& | ent | ) |

Standard_EXPORT void IFGraph_Articulations::GetFromIter | ( | const Interface_EntityIterator & | iter | ) |

void IFGraph_Articulations::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_Articulations::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_Articulations::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT void IFGraph_Articulations::ResetData | ( |  | ) |

Standard_EXPORT Standard_Integer IFGraph_Articulations::Visit | ( | const Standard_Integer | num | ) | `[private]`

## Field Documentation

Interface_Graph IFGraph_Articulations::thegraph`[private]`

Handle_TColStd_HSequenceOfInteger IFGraph_Articulations::thelist`[private]`

| Reimplemented from Interface_EntityIterator.

Standard_Integer IFGraph_Articulations::thenow`[private]`

The documentation for this class was generated from the following file:

- IFGraph_Articulations.hxx